sets:
  - name: arm-gcc
    builds:
      - target_arch: arm
        toolchain: gcc-9
        kconfig:
          - defconfig
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/lkft.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/lkft-crypto.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/distro-overrides.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/systemd.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/virtio.config
          - CONFIG_ARM_TI_CPUFREQ=y
          - CONFIG_SERIAL_8250_OMAP=y
          - CONFIG_POSIX_MQUEUE=y
  - name: arm64-gcc
    builds:
      - target_arch: arm64
        toolchain: gcc-9
        kconfig:
          - defconfig
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/lkft.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/lkft-crypto.config
          - ttps://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/distro-overrides.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/systemd.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/virtio.config
          - CONFIG_ARM64_MODULE_PLTS=y
  - name: i386-gcc
    builds:
      - target_arch: i386
        toolchain: gcc-9
        kconfig:
          - defconfig
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/lkft.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/lkft-crypto.config
          - ttps://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/distro-overrides.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/systemd.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/virtio.config
          - CONFIG_IGB=y
          - CONFIG_UNWINDER_FRAME_POINTER=y
  - name: x86-gcc
    builds:
      - target_arch: x86_64
        toolchain: gcc-9
        kconfig:
          - defconfig
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/lkft.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/lkft-crypto.config
          - ttps://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/distro-overrides.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/systemd.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/sumo/recipes-kernel/linux/files/virtio.config
          - CONFIG_IGB=y
          - CONFIG_UNWINDER_FRAME_POINTER=y
  - name: arc
    builds:
      - {target_arch: arc,      toolchain: gcc-8,   kconfig: allnoconfig}
      - {target_arch: arc,      toolchain: gcc-8,   kconfig: defconfig}
      - {target_arch: arc,      toolchain: gcc-8,   kconfig: tinyconfig}
      - {target_arch: arc,      toolchain: gcc-9,   kconfig: allnoconfig}
      - {target_arch: arc,      toolchain: gcc-9,   kconfig: defconfig}
      - {target_arch: arc,      toolchain: gcc-9,   kconfig: tinyconfig}
      - {target_arch: arc,      toolchain: gcc-10,  kconfig: allnoconfig}
      - {target_arch: arc,      toolchain: gcc-10,  kconfig: defconfig}
      - {target_arch: arc,      toolchain: gcc-10,  kconfig: tinyconfig}
  - name: arm
    builds:
      - {target_arch: arm,      toolchain: gcc-8,   kconfig: allnoconfig}
      - {target_arch: arm,      toolchain: gcc-8,   kconfig: defconfig}
      - {target_arch: arm,      toolchain: gcc-8,   kconfig: tinyconfig}
      - {target_arch: arm,      toolchain: gcc-9,   kconfig: allnoconfig}
      - {target_arch: arm,      toolchain: gcc-9,   kconfig: defconfig}
      - {target_arch: arm,      toolchain: gcc-9,   kconfig: tinyconfig}
      - {target_arch: arm,      toolchain: gcc-10,  kconfig: allnoconfig}
      - {target_arch: arm,      toolchain: gcc-10,  kconfig: defconfig}
      - {target_arch: arm,      toolchain: gcc-10,  kconfig: tinyconfig}
  - name: arm64
    builds:
      - {target_arch: arm64,    toolchain: gcc-8,   kconfig: allnoconfig}
      - {target_arch: arm64,    toolchain: gcc-8,   kconfig: defconfig}
      - {target_arch: arm64,    toolchain: gcc-8,   kconfig: tinyconfig}
      - {target_arch: arm64,    toolchain: gcc-9,   kconfig: allnoconfig}
      - {target_arch: arm64,    toolchain: gcc-9,   kconfig: defconfig}
      - {target_arch: arm64,    toolchain: gcc-9,   kconfig: tinyconfig}
      - {target_arch: arm64,    toolchain: gcc-10,  kconfig: allnoconfig}
      - {target_arch: arm64,    toolchain: gcc-10,  kconfig: defconfig}
      - {target_arch: arm64,    toolchain: gcc-10,  kconfig: tinyconfig}
  - name: i386
    builds:
      - {target_arch: i386,     toolchain: gcc-8,   kconfig: allnoconfig}
      - {target_arch: i386,     toolchain: gcc-8,   kconfig: i386_defconfig}
      - {target_arch: i386,     toolchain: gcc-8,   kconfig: tinyconfig}
      - {target_arch: i386,     toolchain: gcc-9,   kconfig: allnoconfig}
      - {target_arch: i386,     toolchain: gcc-9,   kconfig: i386_defconfig}
      - {target_arch: i386,     toolchain: gcc-9,   kconfig: tinyconfig}
      - {target_arch: i386,     toolchain: gcc-10,  kconfig: allnoconfig}
      - {target_arch: i386,     toolchain: gcc-10,  kconfig: defconfig}
      - {target_arch: i386,     toolchain: gcc-10,  kconfig: tinyconfig}
  - name: mips
    builds:
      - {target_arch: mips,     toolchain: gcc-8,   kconfig: allnoconfig}
      - {target_arch: mips,     toolchain: gcc-8,   kconfig: defconfig}
      - {target_arch: mips,     toolchain: gcc-8,   kconfig: tinyconfig}
      - {target_arch: mips,     toolchain: gcc-9,   kconfig: allnoconfig}
      - {target_arch: mips,     toolchain: gcc-9,   kconfig: defconfig}
      - {target_arch: mips,     toolchain: gcc-9,   kconfig: tinyconfig}
      - {target_arch: mips,     toolchain: gcc-10,  kconfig: allnoconfig}
      - {target_arch: mips,     toolchain: gcc-10,  kconfig: defconfig}
      - {target_arch: mips,     toolchain: gcc-10,  kconfig: tinyconfig}
  - name: riscv
    builds:
      - {target_arch: riscv,    toolchain: gcc-8,   kconfig: allnoconfig}
      - {target_arch: riscv,    toolchain: gcc-8,   kconfig: defconfig}
      - {target_arch: riscv,    toolchain: gcc-8,   kconfig: tinyconfig}
      - {target_arch: riscv,    toolchain: gcc-9,   kconfig: allnoconfig}
      - {target_arch: riscv,    toolchain: gcc-9,   kconfig: defconfig}
      - {target_arch: riscv,    toolchain: gcc-9,   kconfig: tinyconfig}
      - {target_arch: riscv,    toolchain: gcc-10,  kconfig: allnoconfig}
      - {target_arch: riscv,    toolchain: gcc-10,  kconfig: defconfig}
      - {target_arch: riscv,    toolchain: gcc-10,  kconfig: tinyconfig}
  - name: x86
    builds:
      - {target_arch: x86_64,      toolchain: gcc-8,   kconfig: allnoconfig}
      - {target_arch: x86_64,      toolchain: gcc-8,   kconfig: tinyconfig}
      - {target_arch: x86_64,      toolchain: gcc-8,   kconfig: x86_64_defconfig}
      - {target_arch: x86_64,      toolchain: gcc-9,   kconfig: allnoconfig}
      - {target_arch: x86_64,      toolchain: gcc-9,   kconfig: tinyconfig}
      - {target_arch: x86_64,      toolchain: gcc-9,   kconfig: x86_64_defconfig}
      - {target_arch: x86_64,      toolchain: gcc-10,  kconfig: allnoconfig}
      - {target_arch: x86_64,      toolchain: gcc-10,  kconfig: defconfig}
      - {target_arch: x86_64,      toolchain: gcc-10,  kconfig: tinyconfig}
